Bug 88354 - py.oops at lilo on hdd1
py.oops at lilo on hdd1
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-04-09 07:21 EDT by Guido Draheim
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-18 16:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anacdump as filed on fd0 with py state (113.69 KB, text/plain)
2003-04-09 07:24 EDT, Guido Draheim
no flags Details
partitions.list (3.79 KB, text/plain)
2003-04-09 07:28 EDT, Guido Draheim
no flags Details

  None (edit)
Description Guido Draheim 2003-04-09 07:21:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030311 Galeon/1.3.3

Description of problem:
Intalling on hdd1=/ and hdd11=/usr 
with a pqmagic-3 bootloader (os2 bootloader)
being already in the system. Therefore selecting 
bootloader option during install of "lilo" to be 
installed in "hdd1" (the root partition above).

Packages installs fine but final step of setting
lilo does crash with a python exception - the
resulting anacdump.txt is appended. It seems the
"hdd" was not registered correctly (the biosRemap
member py variable does not exist at all??).

... additional information ...

(2) I'm defecting from mandrake9 where the installer
had a problem with the unused-partition on hda,
therefore I am appending fdisk-lists as well.
(3) There are two harddisk hda and hdd and two
cd drives hdb and hdc, installation is run via
bios boot from shrike iso cds in hdb.
(4) The crash was on a second attempt to install,
during first try I did not notice "extended options"
on bootloader selection screen and the system had
no bootloader at all (even that the installation did
succeed), and a manual setup of lilo.conf failed. 
- A second try with the same options does fail like
seen above - it's a non-upgrade installation then
with all options identical but just the lilo bootloader
selected additionally.
(5) I'm CS engineer with 8 years experience with linux
on my home box (slackware, suse, mandrake) and various
opensource projects around (google for "guidod" to see).

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
installation with lilo on root partition on secondary harddisk.

Additional info:
Comment 1 Guido Draheim 2003-04-09 07:24:52 EDT
Created attachment 91038 [details]
anacdump as filed on fd0 with py state
Comment 2 Guido Draheim 2003-04-09 07:28:07 EDT
Created attachment 91039 [details]

$ LC_MESSAGES=C ; (sudo /sbin/fdisk -l /dev/hda  ; sudo /sbin/fdisk -l /dev/hdd
; cat /proc/partitions) >partitions.list
Comment 3 Jeremy Katz 2003-05-16 17:16:23 EDT
Can you attach your lilo.conf?
Comment 4 Michael Fulbright 2003-06-18 16:47:45 EDT
Closing due to inactivity - please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.